﻿using Blazor_Firestorer.Server.Data;
using Blazor_Firestorer.Shared.Models;
using Microsoft.AspNetCore.Mvc;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace Blazor_Firestorer.Server.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class AlunosController : ControllerBase
    {
        private readonly IAlunoDAL _aluno;
        public AlunosController(IAlunoDAL aluno)
        {
            _aluno = aluno;
        }

        [HttpGet]
        public Task<List<Aluno>> Get()
        {
            return _aluno.GetAlunos();
        }


        [HttpGet("{id}")]
        public Task<Aluno> Get(string id)
        {
            return _aluno.GetAluno(id);
        }

        [HttpPost]
        public void Post([FromBody] Aluno aluno)
        {
            _aluno.AddAluno(aluno);
        }

        [HttpPut]
        public void Put([FromBody] Aluno aluno)
        {
            _aluno.UpdateAluno(aluno);
        }

        [HttpDelete("{id}")]
        public void Delete(string id)
        {
            _aluno.DeleteAluno(id);

        }
        [HttpGet("GetCidades")]
        public Task<List<Cidade>> GetCidades()
        {
            return _aluno.GetCidades();
        }
    }
}
